#include "Fraction.h"
using namespace std;

int main()
{
	Fraction a, b(0.34), c(-4,5), d("5/-4");

	try
	{
		Fraction e("1/2/3");
	}
	catch (FR_ERROR e)
	{
		cout << "Caught exception when trying to create fraction object with value: ";

		switch (e)
		{
			case FR_DENOM_ZERO:
				cout << "FR_DENOM_ZERO." << endl;
				break;

			case FR_STR_INVALID:
				cout << "FR_STR_INVALID." << endl;
				break;

			case FR_INDEX_OUT_BOUNDS:
				cout << "FR_INDEX_OUT_BOUNDS." << endl;
				break;

			case FR_NEG_PARAM:
				cout << "FR_NEG_PARAM." << endl;
				break;
		}
	}

	if (Fraction::getFormat() == Fraction::IM_FRAC)
		cout << "\nFractions will output as improper fractions.\n";
	else
		cout << "\nFractions will output as decimal numbers.\n";

	cout << a << " " << b << " " << c << " " << d << endl;
	cout << "The sum of " << b << " and " << c << " is " << b+c << endl;

	//set to another display: applied to all Fraction objects
	if (Fraction::getFormat() == Fraction::IM_FRAC)
	{
		Fraction::setFormat(Fraction::DECI);
		cout << "Now fractions will output as decimal numbers.\n";
	}
	else
	{
		Fraction::setFormat(Fraction::IM_FRAC);
		cout << "Now fractions will output as improper fractions.\n";
	}

	cout << a << " " << b << " " << c << " " << d << endl;
	cout << "The sum of " << b << " and " << c << " is " << b+c << endl;

	cout << "The numerator of " << c << " is " << c[0] << " and the denominator is " << c[1] << endl;

	c.setNum(4);
	cout << c;

	cin.get();

	return (0);
}